Skip to main content
POST
/
commerce
/
customer
/
accounts
/
Add-Account-And-Login
Error
A valid request URL is required to generate request examples
{
  "accessToken": "<string>",
  "accessTokenExpiration": "2023-11-07T05:31:56Z",
  "customerAccount": {
    "accountType": "<string>",
    "attributes": [
      {
        "attributeDefinitionId": 123,
        "auditInfo": {
          "createBy": "<string>",
          "createDate": "2023-11-07T05:31:56Z",
          "updateBy": "<string>",
          "updateDate": "2023-11-07T05:31:56Z"
        },
        "fullyQualifiedName": "<string>",
        "values": [
          "<unknown>"
        ]
      }
    ],
    "auditInfo": {
      "createBy": "<string>",
      "createDate": "2023-11-07T05:31:56Z",
      "updateBy": "<string>",
      "updateDate": "2023-11-07T05:31:56Z"
    },
    "commerceSummary": {
      "lastOrderDate": "2023-11-07T05:31:56Z",
      "orderCount": 123,
      "totalOrderAmount": {
        "amount": 123,
        "currencyCode": "<string>"
      },
      "visitsCount": 123,
      "wishlistCount": 123
    },
    "companyOrOrganization": "<string>",
    "contacts": [
      {
        "accountId": 123,
        "address": {
          "address1": "<string>",
          "address2": "<string>",
          "address3": "<string>",
          "address4": "<string>",
          "addressType": "<string>",
          "cityOrTown": "<string>",
          "countryCode": "<string>",
          "isValidated": true,
          "postalOrZipCode": "<string>",
          "stateOrProvince": "<string>"
        },
        "auditInfo": {
          "createBy": "<string>",
          "createDate": "2023-11-07T05:31:56Z",
          "updateBy": "<string>",
          "updateDate": "2023-11-07T05:31:56Z"
        },
        "companyOrOrganization": "<string>",
        "email": "<string>",
        "faxNumber": "<string>",
        "firstName": "<string>",
        "id": 123,
        "label": "<string>",
        "lastNameOrSurname": "<string>",
        "middleNameOrInitial": "<string>",
        "phoneNumbers": {
          "home": "<string>",
          "mobile": "<string>",
          "work": "<string>"
        },
        "types": [
          {
            "isPrimary": true,
            "name": "<string>"
          }
        ]
      }
    ],
    "customerSet": "<string>",
    "customerSinceDate": "2023-11-07T05:31:56Z",
    "externalId": "<string>",
    "id": 123,
    "migrationRequired": true,
    "notes": [
      {
        "auditInfo": {
          "createBy": "<string>",
          "createDate": "2023-11-07T05:31:56Z",
          "updateBy": "<string>",
          "updateDate": "2023-11-07T05:31:56Z"
        },
        "content": "<string>",
        "id": 123
      }
    ],
    "segments": [
      {
        "auditInfo": {
          "createBy": "<string>",
          "createDate": "2023-11-07T05:31:56Z",
          "updateBy": "<string>",
          "updateDate": "2023-11-07T05:31:56Z"
        },
        "code": "<string>",
        "description": "<string>",
        "id": 123,
        "name": "<string>"
      }
    ],
    "taxExempt": true,
    "taxId": "<string>",
    "acceptsMarketing": true,
    "emailAddress": "<string>",
    "firstName": "<string>",
    "hasExternalPassword": true,
    "isActive": true,
    "isAnonymous": true,
    "isLocked": true,
    "last2FaDate": "2023-11-07T05:31:56Z",
    "lastName": "<string>",
    "localeCode": "<string>",
    "userId": "<string>",
    "userName": "<string>"
  },
  "jwtAccessToken": "<string>",
  "refreshToken": "<string>",
  "refreshTokenExpiration": "2023-11-07T05:31:56Z",
  "requires2FA": true,
  "userId": "<string>"
}

Authorizations

Authorization
string
header
required

JWT Authorization header using the Bearer scheme.

Query Parameters

responseFields
string

limits which fields are returned in the response body

Body

application/json
account
object

Customer account. Customers provide contact information, view order history, and set email preferences on their account. Merchants can edit accounts to add internal notes or assign them to segments.

authTicketTtlMinutes
integer<int32> | null

Optional requested duration for the authentication ticket in minutes. Must not exceed tenant configuration or platform hard caps. Requires 'customer-auth:configure-token-durations' behavior.

externalPassword
string | null
fingerprint
string | null

Specifies the fingerprint of the user for two-factor authentication.

isImport
boolean
password
string | null
refreshTokenTtlMinutes
integer<int32> | null

Optional requested duration for the refresh token in minutes. Must not exceed tenant configuration or platform hard caps. Requires 'customer-auth:configure-token-durations' behavior.

region
string | null

Specifies the region of the user for two-factor authentication.

Response

Success

accessToken
string | null
accessTokenExpiration
string<date-time>
customerAccount
object

Customer account. Customers provide contact information, view order history, and set email preferences on their account. Merchants can edit accounts to add internal notes or assign them to segments.

jwtAccessToken
string | null
refreshToken
string | null
refreshTokenExpiration
string<date-time>
requires2FA
boolean
userId
string | null